io.vertx.maven

## Class MavenVerticleFactory

- java.lang.Object
- - io.vertx.service.ServiceVerticleFactory
  - - io.vertx.maven.MavenVerticleFactory

- All Implemented Interfaces:
    VerticleFactory

      public class MavenVerticleFactory
      extends ServiceVerticleFactory

  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `HTTP_PROXY_SYS_PROP`
    `static String` | `HTTPS_PROXY_SYS_PROP`
    `static String` | `LOCAL_REPO_SYS_PROP`
    `static String` | `REMOTE_REPOS_SYS_PROP`
    `static String` | `REMOTE_SNAPSHOT_POLICY_SYS_PROP`
    `static boolean` | `RESOLVE_CALLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MavenVerticleFactory()` Creates an instance of `MavenVerticleFactory` using the system properties to initialize the `ResolverOptions`.
    `MavenVerticleFactory(Resolver resolver)` Creates an instance of `MavenVerticleFactory` with a custom `Resolver`.
    `MavenVerticleFactory(ResolverOptions options)` Creates an instance of `MavenVerticleFactory` with the given resolution options.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createVerticle(String verticleName, DeploymentOptions deploymentOptions, ClassLoader classLoader, Promise<Callable<Verticle>> promise)`
    `Resolver` | `getResolver()`
    `void` | `init(Vertx vertx)` Initialise the factory
    `String` | `prefix()`

    - ### Methods inherited from class io.vertx.service.ServiceVerticleFactory

      `createVerticle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.core.spi.VerticleFactory

      `close, order, removePrefix`

- - ### Field Detail

    - #### LOCAL_REPO_SYS_PROP

          public static final String LOCAL_REPO_SYS_PROP

      See Also:
        Constant Field Values

    - #### REMOTE_REPOS_SYS_PROP

          public static final String REMOTE_REPOS_SYS_PROP

      See Also:
        Constant Field Values

    - #### HTTP_PROXY_SYS_PROP

          public static final String HTTP_PROXY_SYS_PROP

      See Also:
        Constant Field Values

    - #### HTTPS_PROXY_SYS_PROP

          public static final String HTTPS_PROXY_SYS_PROP

      See Also:
        Constant Field Values

    - #### REMOTE_SNAPSHOT_POLICY_SYS_PROP

          public static final String REMOTE_SNAPSHOT_POLICY_SYS_PROP

      See Also:
        Constant Field Values

    - #### RESOLVE_CALLED

          public static volatile boolean RESOLVE_CALLED

  - ### Constructor Detail

    - #### MavenVerticleFactory

          public MavenVerticleFactory()

      Creates an instance of `MavenVerticleFactory` using the system properties to initialize the `ResolverOptions`.

      It uses the default resolver implementation.

    - #### MavenVerticleFactory

          public MavenVerticleFactory(ResolverOptions options)

      Creates an instance of `MavenVerticleFactory` with the given resolution options.

      It uses the default resolver implementation.
      Parameters:
        `options` - the options.

    - #### MavenVerticleFactory

          public MavenVerticleFactory(Resolver resolver)

      Creates an instance of `MavenVerticleFactory` with a custom `Resolver`. The resolver must already be configured.
      Parameters:
        `resolver` - the resolver to use

  - ### Method Detail

    - #### init

          public void init(Vertx vertx)

      Description copied from interface: `VerticleFactory`
      Initialise the factory
      Parameters:
        `vertx` - The Vert.x instance

    - #### prefix

          public String prefix()

      Specified by:
        `prefix` in interface `VerticleFactory`
      Overrides:
        `prefix` in class `ServiceVerticleFactory`
      Returns:
        The prefix for the factory, e.g. "java", or "js".

    - #### createVerticle

          protected void createVerticle(String verticleName,
                                        DeploymentOptions deploymentOptions,
                                        ClassLoader classLoader,
                                        Promise<Callable<Verticle>> promise)

      Overrides:
        `createVerticle` in class `ServiceVerticleFactory`

    - #### getResolver

          public Resolver getResolver()

      Returns:
        the underlying resolver instance.

Copyright © 2023 Eclipse. All rights reserved.